error message after installing kineme.plugin

vj dobermann's picture

Hello everybody,

I've installed the Kineme.plugin in this place : Macintosh HD/Library/Graphics/Quartz Composer Patches/Kineme.plugin (as said in the tutorial video)

Now when i open QC a error message appears :

0x96558c82: GFException 0x9655a8c5: GFThrowException 0x96558e1b: _ivarToPortClass 0x964a54c3: -[GFNodeClassDescription initWithNodeClass:] 0x964a5214: +[GFNode initialize] 0x964a5c0e: +[QCPatch initialize] 0x90b16b18: _class_initialize 0x90b15499: _class_lookupMethodAndLoadCache 0x90b25736: objc_msgSend 0x964a774c: -[GFNodeManager(PlugIns) loadPlugInAtPath:] 0x964a7445: -[QCNodeManager loadPlugInAtPath:] 0x964a79df: -[GFNodeManager(PlugIns) loadPlugInsInFolder:withExtensions:] 0x964a787b: -[GFNodeManager(PlugIns) loadPlugInsInLibrary:withExtensions:] 0x964a77f3: +[QCPatch(Registry) loadPlugInsInLibrary:] 0x965bbc4b: _RegisterPatches 0x964a5d9c: +[QCPatch(Registry) patchManager] 0x00004710 0x00004387 0x000041bd 0x0000fec5 0x92b1567a: _nsnote_callback 0x9683ea4a: __CFXNotificationPost 0x9683ed23: _CFXNotificationPostNotification 0x92b12a70: -[NSNotificationCenter postNotificationName:object:userInfo:] 0x92b1c108: -[NSNotificationCenter postNotificationName:object:] 0x94de7a8b: -[NSWindow becomeMainWindow] 0x94de62e7: -[NSWindow _changeKeyAndMainLimitedOK:] 0x94de5fa0: -[NSWindow makeKeyWindow] 0x94de5ee0: -[NSWindow makeKeyAndOrderFront:] 0x94d669ab: -[NSDocument showWindows] 0x94d64c71: -[NSDocumentController openUntitledDocumentAndDisplay:error:] 0x00005b9e 0x0001ee36 0x94e31f94: -[NSApplication sendAction:to:from:] 0x94ee0868: -[NSMenu performActionForItemAtIndex:] 0x94ee056d: -[NSCarbonMenuImpl performActionWithHighlightingForItemAtIndex:] 0x94ee01f2: -[NSMenu performKeyEquivalent:] 0x94edea99: -[NSApplication _handleKeyEquivalent:] 0x94dfbe4e: -[NSApplication sendEvent:] 0x0000e475 0x94d59705: -[NSApplication run]

I don't know what does it mean, but it doesn't affect QC it still working.

Anybody knows how to fix it ?

my configuration : macbook pro osx 10.5 quartz composer 3.0

PreviewAttachmentSize
qc error message.jpg
qc error message.jpg67.04 KB

Comment viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.

.lov.'s picture
Re: error message after installing kineme.plugin

If think kineme.plugin is really old, only for Tiger: http://kineme.net/QuartzComposerPatches/OriginalKinemePlugin/0.2

All function/feature of this plugin has, available in other 10.5 and 10.6 plugins, see the downloads section.

cwright's picture
Re: error message after installing kineme.plugin

Just to parrot everyone else (but with the mantle of "Official Kineme Developer" on my badge ;) -- kineme.plugin serves no purpose on Leopard, and causes problems. Remove it please.

Which tutorial are you referring to? I'll see if I can get that updated (someone installs kineme.plugin on Leopard every month or so, and then either emails us or asks on the forums why it's exploding -- perhaps that tutorial is the cause?)

vj dobermann's picture
Re: error message after installing kineme.plugin

ah ok sorry i was in hurry when i've installed the kineme.plugin i didn't see the "tiger only".

so now it's in the trash bin ;-)

actually i only need the midi tools plugin, i've founded it in the download section

all is working fine ;-)

thank you everyone !